---
title: <dimension>
slug: Web/CSS/dimension
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Reference
  - dimension
  - unit
  - value
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;dimension&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a {{CSSxRef("&lt;number&gt;")}} with a unit attached to it, for example <code>10px</code>.</p>

<p>CSS uses dimensions to specify distances ({{CSSxRef("&lt;length&gt;")}}), durations ({{CSSxRef("&lt;time&gt;")}}), frequencies ({{CSSxRef("&lt;frequency&gt;")}}), resolutions ({{CSSxRef("&lt;resolution&gt;")}}), and other quantities.</p>

<h2 id="Syntax">Syntax</h2>

<p>The syntax of <code>&lt;dimension&gt;</code> is a {{CSSxRef("&lt;number&gt;")}} immediately followed by a unit which is an identifier. Unit identifiers are case insensitive.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Valid_dimensions">Valid dimensions</h3>

<pre class="syntaxbox example-good notranslate">12px      12 pixels
1rem      1 rem
1.2pt     1.2 points
2200ms    2200 milliseconds
5s        5 seconds
200hz     200 Hertz
200Hz     200 Hertz (values are case insensitive)
</pre>

<h3 id="Invalid_dimensions">Invalid dimensions</h3>

<pre class="syntaxbox example-bad notranslate">12 px       The unit must come immediately after the number.
12"px"      Units are identifiers and therefore unquoted.
3sec        The seconds unit is abbreviated "s" not "sec".
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Values", "#dimensions", "&lt;dimension&gt;")}}</td>
   <td>{{Spec2("CSS4 Values")}}</td>
   <td>Adds <code>cap</code>, <code>ic</code>, <code>lh</code>, <code>rlh</code>, <code>vi</code>, <code>vb</code></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Values", "#dimensions", "&lt;dimension&gt;")}}</td>
   <td>{{Spec2("CSS3 Values")}}</td>
   <td>Adds <code>ch</code>, <code>rem</code>, <code>vw</code>, <code>vw</code>, <code>vmin</code>,<code> vmax</code>, <code>Q</code></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "syndata.html#numbers", "&lt;dimension&gt;")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Defined under Numbers and Length</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "", "&lt;dimension&gt;")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Initial definition under "length units"</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.dimension")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Types">CSS data types</a></li>
 <li><a href="/en-US/docs/Learn/CSS">Learn to style HTML using CSS</a></li>
 <li>CSS distances ({{CSSxRef("&lt;length&gt;")}}), durations ({{CSSxRef("&lt;time&gt;")}}), frequencies ({{CSSxRef("&lt;frequency&gt;")}}), and resolutions ({{CSSxRef("&lt;resolution&gt;")}})</li>
</ul>
